SOURCES: lighttpd.init - add configtest arg
glen
glen at pld-linux.org
Thu Sep 7 20:00:24 CEST 2006
Author: glen Date: Thu Sep 7 18:00:24 2006 GMT
Module: SOURCES Tag: HEAD
---- Log message:
- add configtest arg
---- Files affected:
SOURCES:
lighttpd.init (1.10 -> 1.11)
---- Diffs:
================================================================
Index: SOURCES/lighttpd.init
diff -u SOURCES/lighttpd.init:1.10 SOURCES/lighttpd.init:1.11
--- SOURCES/lighttpd.init:1.10 Tue Jan 10 21:28:48 2006
+++ SOURCES/lighttpd.init Thu Sep 7 20:00:18 2006
@@ -115,6 +115,12 @@
RETVAL=7
fi
;;
+ configtest)
+ show "Checking lighttpd config syntax"
+ configtest
+ RETVAL=$?
+ [ $RETVAL = 0 ] && ok || fail
+ ;;
flush-logs)
if [ -f /var/lock/subsys/lighttpd ]; then
nls "Rotating %s logs" lighttpd
@@ -126,7 +132,7 @@
fi
;;
*)
- msg_usage "$0 {start|stop|restart|reload|force-reload|graceful|flush-logs|status}"
+ msg_usage "$0 {start|stop|restart|reload|force-reload|graceful|configtest|flush-logs|status}"
exit 3
;;
esac
================================================================
---- CVS-web:
http://cvs.pld-linux.org/SOURCES/lighttpd.init?r1=1.10&r2=1.11&f=u
More information about the pld-cvs-commit
mailing list